MARISA-BENCHMARK(1)

NAME
marisa-benchmark - A tool to benchmark libmarisa

SYNOPSIS
marisa-benchmark [options] file

DESCRIPTION
marisa-benchmark is a tool to benchmark libmarisa. This tool takes the same input as marisa-build and measures the performance of libmarisa for the given set of keys. This tool is useful to fix dictionary settings.

For the search performance, marisa-benchmark measures the time to lookup or search keys in input order. When the keys are given in lexicographic order, few cache misses will occur in the benchmark. In contrast, when the keys are given in random order, many cache misses will occur in the benchmark.

See marisa-benchmark -h for the list of options.

SEE ALSO
The programs are generated from /usr/share/doc/libmarisa-dev/readme.en.html in libmarisa-dev package.